จูมล่า 4.0 จะนำ Gmail Authentication Plugin ออกไป

จูมล่า 4.0 จะนำ Gmail Authentication Plugin ออกไป

ตั้งแต่เวอร์ชัน 1.5 Joomla CMS มีปลั๊กอินการตรวจสอบสิทธิ์ Gmail วัตถุประสงค์หลักของมันคือเพื่อแสดงให้เห็นว่าคุณสามารถสร้างปลั๊กอินการตรวจสอบความถูกต้องในการล๊อกอิน Joomla สำหรับบริการภายนอกได้  เว็บมีการเปลี่ยนแปลงอย่างมากตั้งแต่นั้นมา แต่ไม่ใช่ปลั๊กอินนี้ เทคนิคที่ปลั๊กอินกำลังใช้อยู่ล้าสมัยและมีความปลอดภัยน้อย

ในปัจจุบันแอ็พพลิเคชันควรอนุญาตให้ใช้ Google ผ่านโปรโตคอล OAuth 2.0 แต่ปลั๊กอินใช้การตรวจสอบสิทธิ์พื้นฐานที่มีการส่งชื่อผู้ใช้และรหัสผ่านในข้อความธรรมดา Google ได้ปิดการใช้งานที่วิธีนี้ในปี 2014 ถ้าคุณต้องการที่จะเสี่ยงแล้วคุณจะมีการเปิดใช้งานการตั้งค่าในบัญชีของคุณโดยการยอมรับ แอปพลิเคชันที่มีความปลอดภัยน้อย" ตามที่อธิบายไว้ที่นี่

ในไดเรกทอรีส่วนขยายของเราคุณจะพบปลั๊กอินจำนวนมากซึ่งมีฟังก์ชันการเข้าสู่ระบบสำหรับ Google หรือแพลตฟอร์มโซเชียลมีเดียเช่น Facebook หรือ Twitter พวกเขาใช้มาตรฐานล่าสุดสำหรับการตรวจสอบความปลอดภัยและมีความเป็นไปได้มากขึ้นและตัวเลือกการกำหนดค่าตามที่ปลั๊กอิน Gmail ทำ ดังนั้นเราขอเชิญชวนให้ผู้ใช้ของเราเริ่มเปลี่ยนไปใช้วิธีการรับรองความถูกต้องอื่น ๆ โดยเร็วที่สุด

พิจารณาประเด็นทั้งหมดข้างต้นและความมุ่งมั่นของเราในการจัดหา CMS ที่ปลอดภัยโดยไม่สนับสนุนส่วนขยายที่บังคับให้คุณเปิดใช้งานการรักษาความปลอดภัยน้อยลงเป็นขั้นตอนที่เป็นตรรกะในการนำปลั๊กอิน Gmail ออกจาก Joomla 4.0

 

สรุปคือปิดการใช้งานไปดีที่สุด

พิมพ์ อีเมล

Overall Rating (0)

0 out of 5 stars
  • No comments found